Subject: Re: CCL:CHARMM: Is there any problem with velocity Verlet in c28b2 ?

From: Rick Venable <[email-masked]>
Date: Wed, 18 Sep 2002 17:36:47 -0400

I tried some tests with VVER at one point, with fairly unsatisfactory
results-- plots of the total Hamiltonian vs. time (which should be flat)
had fairly large fluctuations compared to extended system methods using
the CPT keyword.

It is possible to use the CPT keyword to do NVT ensemble MD; the trick
is to set the pressure piston mass to zero, which fixes the volume and
disables pressure-based coordinate scaling.  In CHARMMspeak,

dyna cpt restart nstep 50000 timestep 0.001  -
    pcons pint pref 1.0 pmass 0. -
    hoover reft 293.15 tmass 10000 -
    ...

Note: CPT code requires the use of CRYStal for periodic boundary

On Mon, 16 Sep 2002, Andrij Baumketner wrote:
> I am trying to simulate a short peptide fully solvated in TIP3 water
> by using 28beta2 version of CHARMM. I intend to employ constant NVT
> conditions and, although the system under study is not particularly
> large, I need a parallel implementation of the code. As far as I
> understand, in CHARMM the NVT ensemble can only be generated in
> parallel by using velocity version (VVER key) of the Verlet
> algorithm combined with the Nose-Hoover thermostat. (I could
> probably use CPT but I'm not sure about how scaling of coordinates
> is dealt with there). When running a short simulation on a fully
> equilibrated system I find that:
> 
> a) VVER version produces considerably lower potential energy than
> the original Verlet (non-parallel) algorithm when the SHAKE is
> applied. The non-parallel Verlet gives results consistent with the
> CPT ensemble simulations.
> 
> b) if SHAKE is not applied the VVER algorithm just goes unstable. It
> pumps all the energy into vibrations of both solute and solvent
> molecules until the algorithm breaks. The original Verlet works just
> fine under the same conditions.

=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=
Rick Venable           29/500
FDA/CBER/OVRR Biophysics Lab
1401 Rockville Pike    HFM-419
Rockville, MD  20852-1448  U.S.A.
(301) 496-1905   [email-masked]
ALT email:  [email-masked]
=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=